> ## Documentation Index
> Fetch the complete documentation index at: https://developer.hellgate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists all service configurations matching the query



## OpenAPI

````yaml /products/commerce/v1/openapi.yaml get /service-configurations
openapi: 3.1.0
info:
  license:
    name: Hellgate® API License
    url: https://starfish.team
  title: Commerce
  version: '0.1'
servers:
  - url: https://commerce1.on-hellgate.dev
    variables: {}
security:
  - mtls: []
  - api_key: []
tags: []
paths:
  /service-configurations:
    get:
      tags:
        - services
      summary: Lists all service configurations matching the query
      operationId: CommerceWeb.Configuration.Services.ServiceConfigurationController.index
      parameters:
        - description: Service
          in: query
          name: service
          required: false
          schema:
            type: string
            x-struct: null
            x-validate: null
        - description: Version
          in: query
          name: version
          required: false
          schema:
            type: string
            x-struct: null
            x-validate: null
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceConfigurationsResponse'
          description: Success
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Error
      callbacks: {}
      security:
        - mtls: []
components:
  schemas:
    ServiceConfigurationsResponse:
      items:
        $ref: '#/components/schemas/ServiceConfigurationResponse'
      title: ServiceConfigurationsResponse
      type: array
      x-struct: Elixir.CommerceWeb.Schemas.ServicesSchema.ServiceConfigurationsResponse
      x-validate: null
    ErrorResponse:
      properties:
        classifier:
          type: string
          x-struct: null
          x-validate: null
        code:
          type: integer
          x-struct: null
          x-validate: null
        message:
          type: string
          x-struct: null
          x-validate: null
      required:
        - code
        - classifier
        - message
      title: ErrorResponse
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.ErrorsSchema.ErrorResponse
      x-validate: null
    ServiceConfigurationResponse:
      properties:
        account_id:
          format: uuid
          type: string
          x-struct: null
          x-validate: null
        configuration:
          type: object
          x-struct: null
          x-validate: null
        id:
          format: uuid
          type: string
          x-struct: null
          x-validate: null
        name:
          type: string
          x-struct: null
          x-validate: null
        service_registration_id:
          format: uuid
          type: string
          x-struct: null
          x-validate: null
      required:
        - id
        - name
        - account_id
        - service_registration_id
        - configuration
      title: ServiceConfigurationResponse
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.ServicesSchema.ServiceConfigurationResponse
      x-validate: null
  securitySchemes:
    mtls:
      description: >-
        Client certificate authentication via mTLS. Account-scoped routes
        additionally require the X-Account-ID header to identify the account.
      type: mutualTLS
    api_key:
      in: header
      name: X-API-Key
      type: apiKey

````